Bug 32313 - Пересобрать с --enable-ntp-signd
: Пересобрать с --enable-ntp-signd
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ntpd)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: https://forum.altlinux.org/index.php?...
:
:
:
  Show dependency tree
 
Reported: 2016-07-25 18:04 by
Modified: 2016-12-04 13:25 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-07-25 18:04:15
"Похоже пакет ntpd в p7 собран без опции --enable-ntp-signd
К samba его прикрутить мне не получается."

"Для рабочих станций под Windows это сильно нужно - уважаемые майнтейнеры могут
пересобрать с поддержкой?"
------- Comment #1 From 2016-07-27 10:17:16 -------
Не собирается с --enable-ntp-signd. Точнее собирается, но не проходит make
check, надо в код вчитываться (написал сейчас на bugs@ntp, может сами поправят
в p9):

  CCLD     test-ntp_signd
ntp_signd.o: In function `send_via_ntp_signd':
/home/asy/RPM/BUILD/ntp-4.2.8/tests/ntpd/./../../ntpd/ntp_signd.c:130: multiple
definition of `send_via_ntp_signd'
t-ntp_signd.o:/home/asy/RPM/BUILD/ntp-4.2.8/tests/ntpd/../../ntpd/ntp_signd.c:130:
first defined here
collect2: error: ld returned 1 exit status

Плюс надо понять, что делать с ntpsigndsocket: у нас ntpd в chroot. У Самбы
путь к сокету где задаётся ? Я с Самбой дело не имею практически. Если секцию
%check в спеке убрать, то всё собирается и, наверное, будет и работать.
------- Comment #2 From 2016-07-27 10:20:26 -------
На всякий случай p9 - это имеется ввиду ntp 4.2.8p9, а не версия платформы ALT.
:-)
------- Comment #3 From 2016-10-20 19:51:20 -------
Описание ошибки у разработчика https://bugs.ntp.org/show_bug.cgi?id=2951
Я использовал такой ntp.conf:
server 127.127.1.0
fudge  127.127.1.0 stratum 10
server 0.pool.ntp.org  iburst prefer
server 1.pool.ntp.org  iburst prefer

driftfile /var/lib/ntpd/ntp.drift
logfile /var/log/ntp.log
ntpsigndsocket /var/lib/samba/ntp_signd/

restrict default mssntp
------- Comment #4 From 2016-12-03 15:11:07 -------
Соберите, пожалуйста, версию 4.2.8p9 - ошибку вроде исправили:
* [Bug 2951] ntpd tests fail: multiple definition of `send_via_ntp_signd'
  - fixed Makefile.am <perlinger@ntp.org>
------- Comment #5 From 2016-12-04 13:25:14 -------
ntp-4.2.8-alt7 -> sisyphus:

* Sun Dec 04 2016 Sergey Y. Afonin <asy@altlinux> 4.2.8-alt7
- 4.2.8p8
- built with --enable-ntp-signd (ALT #32313)